<?php
	/*
	Plugin Name: WP Video Affiliate
	Description: Promote Affiliate Offers Using Video and Collect Leads to Provide Bonus and Keep Communication
	Version: 0.1
	*/
	
	register_activation_hook(__FILE__,'wpvideoaffiliate_install');

	function wpvideoaffiliate_install () {
		
		  global $wp_rewrite;
		  add_rewrite_rule( 'v/([^/]+)/?', 'index.php?pagename=v&vx2=$matches[1]', 'top' );
		  $wp_rewrite->flush_rules();
  
  
	   global $wpdb;
	
	  
	   
	   
	     $table_name = $wpdb->prefix . "va_newleads";
	   
	   if($wpdb->get_var("show tables like '$table_name'") != $table_name) {
	      
	      $sql = "CREATE TABLE " . $table_name . " (
		    id INTEGER(40) UNSIGNED AUTO_INCREMENT,
		   name varchar(500),
		   email varchar(500),
		   transaction varchar(500),
		   postID varchar(500),
		   UNIQUE KEY id (id)
		 );";
	
	      require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
	      dbDelta($sql);
	   }
	   
	   
	}
	


	add_action('template_redirect', 'my_template', 5);


	
	function my_template() {
	
		$post_type = get_query_var('post_type');
	
		if ($post_type == 'videoaffiliatepage') {  
	
			if (file_exists(TEMPLATEPATH . '/single-' . $post_type . '.php')) return;
	
			load_template(WP_PLUGIN_DIR . '/VideoAffiliate' . '/affiliate_page.php');
	
			exit;
	
		}
	
	}



add_action( 'init', 'create_custom_timeline_post' );
	function create_custom_timeline_post() {
		register_post_type( 'videoaffiliatepage',
			array(
				'labels' => array(
					'name' => __( 'Video Affiliate' ),
					'singular_name' => __( 'Video Affiliate' )
				),
			'public' => true,
			'has_archive' => true,
			'menu_icon' => 'http://cdn2.iconfinder.com/data/icons/finance_icons/PNG/png16/coins.png',
			'rewrite' => true
			)
		);
		flush_rewrite_rules();
	}
	



add_action( 'add_meta_boxes', 'cd_meta_box_add' );
function cd_meta_box_add()
{
	add_meta_box( 'webinar_replay', 'Video Affiliate Review Page Settings:', 'webinar_replay_page', 'videoaffiliatepage', 'normal', 'high' );
}


function webinar_replay_page( $post )
{
	$values = get_post_custom( $post->ID );
	$text = isset( $values['logo_title'] ) ? esc_attr( $values['logo_title'][0] ) : '';
	$tagline = isset( $values['tagline'] ) ? esc_attr( $values['tagline'][0] ) : '';
	$video_headline = isset( $values['video_headline'] ) ? esc_attr( $values['video_headline'][0] ) : '';
	$video_code = isset( $values['video_code'] ) ? esc_attr( $values['video_code'][0] ) : '';
	$step_1_headline = isset( $values['step_1_headline'] ) ? esc_attr( $values['step_1_headline'][0] ) : '';
	$affiliate_link = isset( $values['affiliate_link'] ) ? esc_attr( $values['affiliate_link'][0] ) : '';
	$affiliate_button_text = isset( $values['affiliate_button_text'] ) ? esc_attr( $values['affiliate_button_text'][0] ) : '';
	$step_2_headline = isset( $values['step_2_headline'] ) ? esc_attr( $values['step_2_headline'][0] ) : '';
	$footerContent = isset( $values['footerContent'] ) ? esc_attr( $values['footerContent'][0] ) : '';
	$step_2_subheadline = isset( $values['step_2_subheadline'] ) ? esc_attr( $values['step_2_subheadline'][0] ) : '';
	$signup_text = isset( $values['signup_text'] ) ? esc_attr( $values['signup_text'][0] ) : '';
	$extra_content = isset( $values['extra_content'] ) ? esc_attr( $values['extra_content'][0] ) : '';
	$icon_style = isset( $values['icon_style'] ) ? esc_attr( $values['icon_style'][0] ) : '';
	$bg_style = isset( $values['bg_style'] ) ? esc_attr( $values['bg_style'][0] ) : '';
	$typography = isset( $values['typography'] ) ? esc_attr( $values['typography'][0] ) : '';
	
	$button_color1 = isset( $values['button_color1'] ) ? esc_attr( $values['button_color1'][0] ) : '';
	$button_color2 = isset( $values['button_color2'] ) ? esc_attr( $values['button_color2'][0] ) : '';
	
	$arname = isset( $values['arname'] ) ? esc_attr( $values['arname'][0] ) : '';
	$arform = isset( $values['arform'] ) ? esc_attr( $values['arform'][0] ) : '';
	$aremail = isset( $values['aremail'] ) ? esc_attr( $values['aremail'][0] ) : '';
	$arhidden = isset( $values['arhidden'] ) ? esc_attr( $values['arhidden'][0] ) : '';
	$autoresponderCode = isset( $values['autoresponderCode'] ) ? esc_attr( $values['autoresponderCode'][0] ) : '';
	$thankyou = isset( $values['thankyou'] ) ? esc_attr( $values['thankyou'][0] ) : '';
	
	$logoImage = isset( $values['logoImage'] ) ? esc_attr( $values['logoImage'][0] ) : '';
	
	wp_nonce_field( 'my_meta_box_nonce', 'meta_box_nonce' );
?>
	<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js"></script>	
	<script type="text/javascript">
			$(document).ready(function() {
				
			 	$('.tabHeaderArea').click(function() {
			 	  $('.headerArea').fadeIn();
			 	  $('.tabHeaderArea').addClass('active');
			 	  
			 	  $('.pageSettings').hide();
			 	  $('.tabPageSettings').removeClass('active');
			 	  $('.videoArea').hide();
			 	  $('.tabVideoArea').removeClass('active');
			 	  $('.step2Area').hide();
			 	  $('.tabStep2Area').removeClass('active');
			 	  $('.extraContent').hide();
			 	  $('.tabExtraContent').removeClass('active');
			 	  $('.step1Area').hide();
			 	  $('.tabStep1Area').removeClass('active');
			 	  $('.manageLeads').hide();
			 	  $('.tabManageLeads').removeClass('active');
			 	  $('.autoResponder').hide();
			 	  $('.tabautoResponder').removeClass('active');
			 	  $('.thankYou').hide();
			 	  $('.tabThankYou').removeClass('active');
			 	});
			 	
			 	$('.tabPageSettings').click(function() {
			 	  $('.pageSettings').fadeIn();
			 	  $('.tabPageSettings').addClass('active');
			 	  
			 	  $('.headerArea').hide();
			 	  $('.tabHeaderArea').removeClass('active');
			 	  $('.videoArea').hide();
			 	  $('.tabVideoArea').removeClass('active');
			 	  $('.step2Area').hide();
			 	  $('.tabStep2Area').removeClass('active');
			 	  $('.extraContent').hide();
			 	  $('.tabExtraContent').removeClass('active');
			 	  $('.step1Area').hide();
			 	  $('.tabStep1Area').removeClass('active');
			 	  $('.manageLeads').hide();
			 	  $('.tabManageLeads').removeClass('active');
			 	  $('.autoResponder').hide();
			 	  $('.tabautoResponder').removeClass('active');
			 	  $('.thankYou').hide();
			 	  $('.tabThankYou').removeClass('active');
			 	  
			 	});
			 	
			 	$('.tabVideoArea').click(function() {
			 	  $('.videoArea').fadeIn();
			 	  $('.tabVideoArea').addClass('active');
			 	  
			 	  $('.headerArea').hide();
			 	  $('.tabHeaderArea').removeClass('active');
			 	  $('.pageSettings').hide();
			 	  $('.tabPageSettings').removeClass('active');
			 	  $('.step2Area').hide();
			 	  $('.tabStep2Area').removeClass('active');
			 	  $('.extraContent').hide();
			 	  $('.tabExtraContent').removeClass('active');
			 	  $('.step1Area').hide();
			 	  $('.tabStep1Area').removeClass('active');
			 	  $('.manageLeads').hide();
			 	  $('.tabManageLeads').removeClass('active');
			 	  $('.autoResponder').hide();
			 	  $('.tabautoResponder').removeClass('active');
			 	  $('.thankYou').hide();
			 	  $('.tabThankYou').removeClass('active');
			 	  
			 	});
			 	
			 	$('.tabStep1Area').click(function() {
			 	  $('.step1Area').fadeIn();
			 	  $('.tabStep1Area').addClass('active');
			 	  
			 	  $('.headerArea').hide();
			 	  $('.tabHeaderArea').removeClass('active');
			 	  $('.pageSettings').hide();
			 	  $('.tabPageSettings').removeClass('active');
			 	  $('.videoArea').hide();
			 	  $('.tabVideoArea').removeClass('active');
			 	  $('.step2Area').hide();
			 	  $('.tabStep2Area').removeClass('active');
			 	  $('.extraContent').hide();
			 	  $('.tabExtraContent').removeClass('active');
			 	  $('.manageLeads').hide();
			 	  $('.tabManageLeads').removeClass('active');
			 	  $('.autoResponder').hide();
			 	  $('.tabautoResponder').removeClass('active');
			 	  $('.thankYou').hide();
			 	  $('.tabThankYou').removeClass('active');
			 	  
			 	});
			 	
			 	$('.tabStep2Area').click(function() {
			 	  $('.step2Area').fadeIn();
			 	  $('.tabStep2Area').addClass('active');
			 	  
			 	  $('.headerArea').hide();
			 	  $('.tabHeaderArea').removeClass('active');
			 	  $('.pageSettings').hide();
			 	  $('.tabPageSettings').removeClass('active');
			 	  $('.videoArea').hide();
			 	  $('.tabVideoArea').removeClass('active');
			 	  $('.extraContent').hide();
			 	  $('.tabExtraContent').removeClass('active');
			 	  $('.step1Area').hide();
			 	  $('.tabStep1Area').removeClass('active');
			 	  $('.manageLeads').hide();
			 	  $('.tabManageLeads').removeClass('active');
			 	  $('.autoResponder').hide();
			 	  $('.tabautoResponder').removeClass('active');
			 	  $('.thankYou').hide();
			 	  $('.tabThankYou').removeClass('active');
			 	  
			 	});
			 	
			 	$('.tabExtraContent').click(function() {
			 	  $('.extraContent').fadeIn();
			 	  $('.tabExtraContent').addClass('active');
			 	  
			 	  $('.headerArea').hide();
			 	  $('.tabHeaderArea').removeClass('active');
			 	  $('.pageSettings').hide();
			 	  $('.tabPageSettings').removeClass('active');
			 	  $('.videoArea').hide();
			 	  $('.tabVideoArea').removeClass('active');
			 	  $('.step2Area').hide();
			 	  $('.tabStep2Area').removeClass('active');
			 	  $('.step1Area').hide();
			 	  $('.tabStep1Area').removeClass('active');
			 	  $('.manageLeads').hide();
			 	  $('.tabManageLeads').removeClass('active');
			 	  $('.autoResponder').hide();
			 	  $('.tabautoResponder').removeClass('active');
			 	  $('.thankYou').hide();
			 	  $('.tabThankYou').removeClass('active');
			 	  
			 	});
			 	
			 	$('.tabManageLeads').click(function() {
			 	  $('.manageLeads').fadeIn();
			 	  $('.tabManageLeads').addClass('active');
			 	  
			 	  $('.headerArea').hide();
			 	  $('.tabHeaderArea').removeClass('active');
			 	  $('.pageSettings').hide();
			 	  $('.tabPageSettings').removeClass('active');
			 	  $('.videoArea').hide();
			 	  $('.tabVideoArea').removeClass('active');
			 	  $('.step2Area').hide();
			 	  $('.tabStep2Area').removeClass('active');
			 	  $('.step1Area').hide();
			 	  $('.tabStep1Area').removeClass('active');
			 	  $('.extraContent').hide();
			 	  $('.tabExtraContent').removeClass('active');
			 	  $('.autoResponder').hide();
			 	  $('.tabautoResponder').removeClass('active');
			 	  $('.thankYou').hide();
			 	  $('.tabThankYou').removeClass('active');
			 	  
			 	});
			 	
			 	$('.tabautoResponder').click(function() {
			 	  $('.autoResponder').fadeIn();
			 	  $('.tabautoResponder').addClass('active');
			 	  
			 	  $('.headerArea').hide();
			 	  $('.tabHeaderArea').removeClass('active');
			 	  $('.pageSettings').hide();
			 	  $('.tabPageSettings').removeClass('active');
			 	  $('.videoArea').hide();
			 	  $('.tabVideoArea').removeClass('active');
			 	  $('.step2Area').hide();
			 	  $('.tabStep2Area').removeClass('active');
			 	  $('.step1Area').hide();
			 	  $('.tabStep1Area').removeClass('active');
			 	  $('.extraContent').hide();
			 	  $('.tabExtraContent').removeClass('active');
			 	  $('.manageLeads').hide();
			 	  $('.tabManageLeads').removeClass('active');
			 	  $('.thankYou').hide();
			 	  $('.tabThankYou').removeClass('active');
			 	  
			 	});
			 	
			 	$('.tabThankYou').click(function() {
			 	  $('.thankYou').fadeIn();
			 	  $('.tabThankYou').addClass('active');
			 	  
			 	  $('.headerArea').hide();
			 	  $('.tabHeaderArea').removeClass('active');
			 	  $('.pageSettings').hide();
			 	  $('.tabPageSettings').removeClass('active');
			 	  $('.videoArea').hide();
			 	  $('.tabVideoArea').removeClass('active');
			 	  $('.step2Area').hide();
			 	  $('.tabStep2Area').removeClass('active');
			 	  $('.step1Area').hide();
			 	  $('.tabStep1Area').removeClass('active');
			 	  $('.extraContent').hide();
			 	  $('.tabExtraContent').removeClass('active');
			 	  $('.manageLeads').hide();
			 	  $('.tabManageLeads').removeClass('active');
			 	  $('.autoResponder').hide();
			 	  $('.tabautoResponder').removeClass('active');
			 	  
			 	});
			 	
			 	
			 	
			 	
			 	$('#autoresponderCode').change(function() {
	break_apart_ar();		
	return false;
});
		
// TAKE APART AR CODE
		
function break_apart_ar(){

var tags = ['a','iframe','frame','frameset','script'], reg, val = $('#autoresponderCode').val(),

hdn = $('#arcode_hdn_div2'), formurl = $('#arform'), hiddenfields = $('#arhidden');

formurl.val('');
	if(jQuery.trim(val) == '')
	    return false;
	    $('#arcode_hdn_div').html('');
	    $('#arcode_hdn_div2').html('');
	for(var i=0;i<5;i++){
	    reg = new RegExp('<'+tags[i]+'([^<>+]*[^\/])>.*?</'+tags[i]+'>', "gi");
	val = val.replace(reg,'');
					
	reg = new RegExp('<'+tags[i]+'([^<>+]*)>', "gi");
	    val = val.replace(reg,'');
	}
	
	var tmpval;
	try {
	    tmpval = decodeURIComponent(val);
	} catch(err){
	    tmpval = val;
	}
	
	hdn.append(tmpval);
	var num = 0;
	var name_selected = '';
	var email_selected = '';
	
	$(':text',hdn).each(function(){
	    var name = $(this).attr('name'),
	    name_selected = num == '0' ? name : (num != '0' ? name_selected : ''), 
	    email_selected = num == '1' ? name : email_selected;
	    if(num=='0') jQuery('#arname').val(name_selected);
	    if(num=='1') jQuery('#aremail').val(email_selected);
	    num++;
	});
				jQuery(':input[type=hidden]',hdn).each(function(){
					jQuery('#arcode_hdn_div').append(jQuery('<input type="hidden" name="'+jQuery(this).attr('name')+'" />').val(jQuery(this).val()));
				});		
				var hidden_f = jQuery('#arcode_hdn_div').html();
				formurl.val(jQuery('form',hdn).attr('action'));
				hiddenfields.val(hidden_f);
				hdn.html('');
				
};
			 	
			 	
			});
	</script>
	<style type="text/css">
		.metaBox label {
			display: block;
			font-size: 14px;
			color: #555;
			font-weight: normal;
			padding: 5px 0;
		}
		.metaBox input[type=text] {
			padding: 5px;
			font-size: 16px;
			width: 100%;
		}
		.metaBox select {
			padding: 5px;
			font-size: 16px;
			width: 100%;
		}
		.metaBox textarea {
			padding: 5px;
			font-size: 16px;
			width: 100%;
			height: 100px;
		}
		.metaBox hr {
			display: block;
			border: none;
			border-top: 1px dashed #ccc
		}
		.metaBox h2 {
			font-weight: bold;
			color: #4883a2;
			font-size: 21px;
		}
		#ui-box {
			width: 98%;
			margin-left: 7px;
			margin-right: 10px;
			-moz-border-radius: 10px;
			-webkit-border-radius: 10px;
			-khtml-border-radius: 10px;
			border-radius: 10px;
			-moz-box-shadow:     0 0 10px #ddd;
   -webkit-box-shadow:  0 0 10px #ddd;
   box-shadow:          0 0 10px #ddd;
   background: #ededed;
		}
		#ui-header {
			width: 100%;
			height: 71px;
			background: url(../wp-content/plugins/VideoAffiliate/images/ui-top.png) repeat-x left top;
			-webkit-border-top-left-radius: 10px;
-webkit-border-top-right-radius: 10px;
-moz-border-radius-topleft: 10px;
-moz-border-radius-topright: 10px;
border-top-left-radius: 10px;
border-top-right-radius: 10px;
		}
		#ui-footer {
			width: 100%;
			height: 21px;
			background: url(../wp-content/plugins/VideoAffiliate/images/ui-footer.png) repeat-x left top;
			margin-left: -1px;
			-webkit-border-bottom-right-radius: 10px;
-webkit-border-bottom-left-radius: 10px;
-moz-border-radius-bottomright: 10px;
-moz-border-radius-bottomleft: 10px;
border-bottom-right-radius: 10px;
border-bottom-left-radius: 10px;
		}
		#ui-inner {
			width: 100%;
			overflow: hidden;
		}
		#ui-nav {
			width: 21%;
			min-height: 200px;
			float: left;
			background: url(../wp-content/plugins/VideoAffiliate/images/ui-content.png) repeat-y right top #929292;
			padding-bottom: 500px;
			margin-bottom: -500px;
		}
			#ui-nav ul { list-style: none }
			#ui-nav ul li {
				display: block;
			}
			#ui-nav ul li a {
				display: block;
				padding: 0;
				padding-left: 20px;
				text-decoration: none;
				font-size: 13px;
				color: #fff;
				height: 31px;
				text-shadow: 1px 1px 0 #555;
				font-weight: bold;
				padding-top: 12px;
				margin-bottom: -10px;
			}
				#ui-nav ul li a:hover, #ui-nav ul li a.active {
					background: url(../wp-content/plugins/VideoAffiliate/images/ui-hover.png)  repeat-x top ;
					color: #333;
					text-shadow: 1px 1px 0 #fafafa;
				}
		#ui-tab {
			width: 74%;
			padding: 5px 15px;
			min-height: 200px;
			float: right;
		}
	</style>
	<br>
	<div id="ui-box">
		<div id="ui-header">
			<img src="../wp-content/plugins/VideoAffiliate/images/ui-logo.png" style="margin-top: 4px; margin-left: 4px; float: left;">
		</div>
		<div id="ui-inner">
			<div id="ui-nav">
				<ul>
					<li><a href="javascript:void(0)" class="active tabManageLeads">Manage Leads</a></li>
					
					<li><a href="javascript:void(0)" class="tabHeaderArea">Header Area</a></li>
					<li><a href="javascript:void(0)" class="tabVideoArea">Video Area</a></li>
					<li><a href="javascript:void(0)" class="tabStep1Area">Affiliate Area</a></li>
					<li><a href="javascript:void(0)" class="tabStep2Area">Sign Up Area</a></li>
					<li><a href="javascript:void(0)" class="tabExtraContent">Extra Settings</a></li>
					<li><a href="javascript:void(0)" class="tabautoResponder">Auto Responder</a></li>
					<li><a href="javascript:void(0)" class="tabThankYou">Optin - Thank You</a></li>
				</ul>
			</div>
			<div id="ui-tab">
				<div class="manageLeads metaBox">
					
	    	<style type="text/css">
	    		#select-webinar-template {
	    			font-size: 20px;
	    		}
	    		#select-webinar-template select {
					width: 100%;
					display: block;
					margin-top: -20px;
					margin-left: -1px;
				}
				#select-webinar-template hr {
					border: none;
					margin: 0;
					border-top: 1px dashed #ddd;
				}
	    	</style>
	    <?php
    		  global $post;
			  global $wpdb;
			  $getOptin = $post->ID;
			  $table_db_name = $wpdb->prefix . "va_newleads";
			  $templates = $wpdb->get_results("SELECT * FROM $table_db_name WHERE postID = '$getOptin'",ARRAY_A);
	
			  $tpl = get_post_meta($post->ID,'_template',true);
				foreach($templates as $template)
				{
					$checkNumber = $checkNumber + 1;
				} 
				
				
        ?>
	       <div id="select-webinar-template">
	        <img src="http://cdn2.iconfinder.com/data/icons/crystalproject/32x32/apps/Session%20Manager.png" style="float: left; margin: 10px;margin-left: 7px">
	       	<h4 style="color: #333; margin: 18px 0;float: left; font-size: 18px;"> Manage Leads: <small style="font-weight: normal"><?php echo $checkNumber; ?> Lead(s) Collected</small></h4>
	       	<br clear="all">
	       	<hr>
	       <?php 
	       if(empty($templates)) {
	       	echo "<h6 style='margin-bottom: 0;color: #888;'>* Currently No Leads Collected *</h6>";
	       }
	       else {
	       foreach($templates as $template)
				{
					?>
						
							<div style="float: left; width: 25%; ">
								<img src="http://cdn2.iconfinder.com/data/icons/ledicons/user_silhouette.png" style="float: left; padding: 10px">
								<strong style="float: left; color: #555; font-size: 13px; padding: 0px;padding-top: 13px;"><?php echo $template['name']; ?></strong>
							</div>
							<div style="float: left; width: 40%; ">
								<img src="http://cdn2.iconfinder.com/data/icons/gnomeicontheme/24x24/stock/net/stock_mail.png" style="float: left; padding: 5px">
								<strong style="color: #888;float: left; font-size: 11px; padding: 4px;padding-top: 10px;"><?php echo $template['email']; ?></strong>
							</div>
							<div style="float: left; width: 35%; ">
								<img src="http://cdn2.iconfinder.com/data/icons/gnomeicontheme/24x24/stock/generic/stock_id.png" style="float: left; padding: 10px">
								<strong style="color: #333;float: left; font-size: 10px; padding: 4px;padding-top: 13px;text-transform: uppercase"><?php echo $template['transaction']; ?></strong>
							</div>
							
							<br clear="all">
							<hr>
					<?php
					
				} 
			}
			?>
	      
	       	<img src="http://cdn4.iconfinder.com/data/icons/humility-icons-MERGE/24x24/mimetypes/gnome-mime-application-vnd.oasis.opendocument.spreadsheet.png" style="float: left; margin: 28px 8px">
	       		
   	  		<h4  style="padding-top: 10px;float: left; font-weight: normal; font-size: 15px"><a href="../wp-content/plugins/VideoAffiliate/download_csv.php?postID=<?php echo $post->ID; ?>">Download .CSV of All Collected Leads</a></h4>
   	  		<br clear="all">
   	  		<h6 style="margin-top: 0; font-size: 16px">Copy and Paste Leads: (for Gmail, Direct Email)</h6>
   	  		<textarea id="" style="width:  90%; height: 100px;font-size: 11px; line-height: 18px; color: #666; margin-top: -20px;"><?php foreach($templates as $template) { ?><?php echo $template['email']; ?>, <?php } ?></textarea>
   	  		<p style="font-size: 11px; color: #888; padding-right: 10px; padding-left: 0;">Copy and paste the above into a new email "to" and it will email all of the leads you have collected.</p>
			</div>
				</div>
				
				
			
				
				<div class="headerArea metaBox" style="display: none">
				
	 <img src="http://cdn2.iconfinder.com/data/icons/august/PNG/Get%20Info.png" style="float: left; margin: 10px;margin-left: 7px">
	       	<h4 style="color: #333; margin: 18px 0;float: left; font-size: 18px;"> Header Area</h4>
	       	<br clear="all">
	       	<hr>
	       	
	       	<p>
							<label for="">Background Color:</label>
							<select name="bg_style" id="bg_style">
								<option value="bg2" <?php selected( $bg_style, 'bg2' ); ?>>Red</option>
								<option value="bg5" <?php selected( $bg_style, 'bg5' ); ?>>Blue</option>
								<option value="bg3" <?php selected( $bg_style, 'bg3' ); ?>>Green</option>
								<option value="bg1" <?php selected( $bg_style, 'bg1' ); ?>>Black</option>
								<option value="bg6" <?php selected( $bg_style, 'bg6' ); ?>>Grey</option>
								<option value="bg4" <?php selected( $bg_style, 'bg4' ); ?>>Brown</option>
							</select>
						</p>
						
						<p>
							<label for="">Typography:</label>
							<select name="typography" id="typography">
								<option value="type1" <?php selected( $typography, 'type1' ); ?>>Helvetica, Arial, Sans-serif</option>
								<option value="type2" <?php selected( $typography, 'type2' ); ?>>Myriad Pro, Tahoma, Verdana</option>
								<option value="type3" <?php selected( $typography, 'type3' ); ?>>Georgia, Times, Serif</option>
								<option value="type4" <?php selected( $typography, 'type4' ); ?>>Arapey (Google Font)</option>
								<option value="type5" <?php selected( $typography, 'type5' ); ?>>Judson (Google Fonts)</option>
								<option value="type6" <?php selected( $typography, 'type6' ); ?>>Oxygen (Google Fonts)</option>
								<option value="type7" <?php selected( $typography, 'type7' ); ?>>Jockey One (Google Fonts)</option>
							</select>
						</p>
		<p>
			<label for="">Logo / Web Browser Title:</label>
			<input type="text" name="logo_title" id="logo_title" value="<?php echo $text; ?>" />
		</p>
		
		
		
		<p>
			<label for="">Tagline Text:</label>
			<input type="text" name="tagline" id="tagline" value="<?php echo $tagline; ?>" />
		</p>
		
		<p>
			<label for="">Logo Image: <small>(provide direct URL to image, i.e. http://yourdomain.com/logo.gif) w: 750px; h: 90px;</small></label>
			<input type="text" name="logoImage" id="logoImage" value="<?php echo $logoImage; ?>" />
		</p>
		
	
		
				</div>
				
				<div class="step1Area metaBox" style="display: none">
					 <img src="http://cdn2.iconfinder.com/data/icons/gnomeicontheme/48x48/emblems/emblem-money.png" style="float: left; margin: 10px;margin-left: 7px">
	       	<h4 style="color: #333; margin: 18px 0;float: left; font-size: 18px;"> Affiliate Area</h4>
	       	<br clear="all">
		<hr>
		<p>
			<label for="">Step #1 - Headline:</label>
			<input type="text" name="step_1_headline" id="step_1_headline" value="<?php echo $step_1_headline; ?>" />
		</p>
		
		<p>
			<label for="">Affiliate Button Link:</label>
			<input type="text" name="affiliate_link" id="affiliate_link" value="<?php echo $affiliate_link; ?>" />
		</p>
		
		<p>
			<label for="">Affiliate Button Text: <small>(Must have text to show affiliate area)</small></label>
			<input type="text" name="affiliate_button_text" id="affiliate_button_text" value="<?php echo $affiliate_button_text; ?>" />
		</p>
		
		<p>
						<!-- 	<label for="">Button Color:</label>
							<select name="button_color1" id="button_color1">
								<option value="green" <?php selected( $button_color1, 'green' ); ?>>Green</option>
								<option value="orange" <?php selected( $button_color1, 'orange' ); ?>>Orange</option>
								<option value="blue" <?php selected( $button_color1, 'blue' ); ?>>Blue</option>
								<option value="black" <?php selected( $button_color1, 'black' ); ?>>Black</option>
								<option value="red" <?php selected( $button_color1, 'red' ); ?>>Red</option>
							</select>
						</p> -->
		
		
				</div>
				
				<div class="step2Area metaBox" style="display: none">
		 <img src="http://cdn2.iconfinder.com/data/icons/drf/PNG/send.png" style="float: left; margin: 10px;margin-left: 7px">
	       	<h4 style="color: #333; margin: 18px 0;float: left; font-size: 18px;"> Optin Settings</h4>
	       	<br clear="all">
	       	<hr>
		<p>
			<label for="">Step #2 - Headline:</label>
			<input type="text" name="step_2_headline" id="step_2_headline" value="<?php echo $step_2_headline; ?>" />
		</p>
		
		<p>
			<label for="">Step #2 - Sub Headline:</label>
			<input type="text" name="step_2_subheadline" id="step_2_subheadline" value="<?php echo $step_2_subheadline; ?>" />
		</p>
		
		<p>
			<label for="">Sign-up Text:</label>
			<input type="text" name="signup_text" id="signup_text" value="<?php echo $signup_text; ?>" />
		</p>
		
				</div>
				
				<div class="extraContent metaBox" style="display: none">
					 <img src="http://cdn1.iconfinder.com/data/icons/CrystalClear/32x32/apps/advancedsettings.png" style="float: left; margin: 10px;margin-left: 7px">
	       	<h4 style="color: #333; margin: 18px 0;float: left; font-size: 18px;"> Extra Settings</h4>
	       	<br clear="all">
	       	<hr>
		<p>
			<label for="">Extra Content:</label>
			<style type="text/css">
				
				#extra_content_ifr { height: 200px !important; }
			</style>
			<?php wp_editor( $extra_content, 'extra_content', $settings = array() ); ?> 
		</p>
		<p>
			<label for="">Footer Content:</label>
			<textarea id="footerContent"name="footerContent"><?php echo $footerContent; ?></textarea>
		</p>
		
				</div>
				
				
				
					
				<div class="autoResponder metaBox" style="display: none">
					 <img src="http://cdn1.iconfinder.com/data/icons/CrystalClear/32x32/apps/advancedsettings.png" style="float: left; margin: 10px;margin-left: 7px">
	       	<h4 style="color: #333; margin: 18px 0;float: left; font-size: 18px;"> Auto Responder</h4>
	       	<br clear="all">
	       	<hr>
		<p>
			<label for="">Paste Your Auto-Responder Code Here: <small></small></label>
			<textarea id="autoresponderCode" name="autoresponderCode"><?php echo $autoresponderCode; ?></textarea>
		</p>
		
		
		<p>
			<label for="">Name:</label>
			<input type="text"  name="arname" id="arname" value="<?php echo $arname; ?>" />
		</p>
		
		<p>
			<label for="">Email:</label>
			<input type="text"   name="aremail" id="aremail" value="<?php echo $aremail; ?>" />
		</p>
		
		<p>
			<label for="">Form:</label>
			<input type="text"   name="arform" id="arform" value="<?php echo $arform; ?>" />
		</p>
		
		<p>
			<label for="">Hidden Code:</label>
			<textarea id="arhidden"   name="arhidden"><?php echo $arhidden; ?></textarea>
		</p>
		
		
		<div id="arcode_debug">

<div id="arcode_hdn_div"></div>

<div id="arcode_hdn_div2"></div>

</div>
				</div>
				
				<div class="videoArea metaBox" style="display: none">
						 <img src="http://cdn2.iconfinder.com/data/icons/gnomeicontheme/32x32/categories/redhat-sound_video.png" style="float: left; margin: 10px;margin-left: 7px">
	       	<h4 style="color: #333; margin: 18px 0;float: left; font-size: 18px;"> Video Settings</h4>
	       	<br clear="all">
		<hr>
		<p>
			<label for="">Video Headline:</label>
			<input type="text" name="video_headline" id="video_headline" value="<?php echo $video_headline; ?>" />
		</p>
		<p>
			<label for="">Video Code:</label>
			<textarea id="video_code" name="video_code"><?php echo $video_code; ?></textarea>
		</p>
				</div>
				
				
				<div class="thankYou metaBox" style="display: none">
						 <img src="http://cdn2.iconfinder.com/data/icons/gnomeicontheme/32x32/categories/redhat-sound_video.png" style="float: left; margin: 10px;margin-left: 7px">
	       	<h4 style="color: #333; margin: 18px 0;float: left; font-size: 18px;"> Thank You Content <small>(after opt-in for bonus)</small></h4>
	       	<br clear="all">
		<hr>
		<p>
			<style type="text/css">
				#thankyou_ifr { height: 300px !important; }
			</style>
			<?php wp_editor( $thankyou, 'thankyou', $settings = array() ); ?> 
		</p>
				</div>
				
			</div>
			
			<br clear="all" /><br> 
		</div>
		<div id="ui-footer"></div>
	</div>
	<br clear="all">
	
	<?php	
}


add_action( 'save_post', 'cd_meta_box_save' );
function cd_meta_box_save( $post_id )
{
	// Bail if we're doing an auto save
	if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;
	
	// if our nonce isn't there, or we can't verify it, bail
	if( !isset( $_POST['meta_box_nonce'] ) || !wp_verify_nonce( $_POST['meta_box_nonce'], 'my_meta_box_nonce' ) ) return;
	
	// if our current user can't edit this post, bail
	if( !current_user_can( 'edit_post' ) ) return;
	
	// now we can actually save the data
	$allowed = array( 
		'a' => array( // on allow a tags
			'href' => array() // and those anchords can only have href attribute
		)
	);
	
	// Probably a good idea to make sure your data is set
	if( isset( $_POST['logo_title'] ) )
		update_post_meta( $post_id, 'logo_title', wp_kses( $_POST['logo_title'], $allowed ) );
		
	if( isset( $_POST['video_code'] ) )
		update_post_meta( $post_id, 'video_code', esc_attr( $_POST['video_code'] ) );
		
	if( isset( $_POST['sign_up_text'] ) )
		update_post_meta( $post_id, 'sign_up_text', esc_attr( $_POST['sign_up_text'] ) );
		
	if( isset( $_POST['tagline'] ) )
		update_post_meta( $post_id, 'tagline', esc_attr( $_POST['tagline'] ) );
		
	if( isset( $_POST['video_headline'] ) )
		update_post_meta( $post_id, 'video_headline', esc_attr( $_POST['video_headline'] ) );
		
	if( isset( $_POST['step_1_headline'] ) )
		update_post_meta( $post_id, 'step_1_headline', esc_attr( $_POST['step_1_headline'] ) );
		
	if( isset( $_POST['affiliate_link'] ) )
		update_post_meta( $post_id, 'affiliate_link', esc_attr( $_POST['affiliate_link'] ) );
		
	if( isset( $_POST['footerContent'] ) )
		update_post_meta( $post_id, 'footerContent', esc_attr( $_POST['footerContent'] ) );
		
	if( isset( $_POST['affiliate_button_text'] ) )
		update_post_meta( $post_id, 'affiliate_button_text', esc_attr( $_POST['affiliate_button_text'] ) );
		
		if( isset( $_POST['step_2_headline'] ) )
		update_post_meta( $post_id, 'step_2_headline', esc_attr( $_POST['step_2_headline'] ) );
		
		if( isset( $_POST['step_2_subheadline'] ) )
		update_post_meta( $post_id, 'step_2_subheadline', esc_attr( $_POST['step_2_subheadline'] ) );
		
		if( isset( $_POST['signup_text'] ) )
		update_post_meta( $post_id, 'signup_text', esc_attr( $_POST['signup_text'] ) );
		
		if( isset( $_POST['extra_content'] ) )
		update_post_meta( $post_id, 'extra_content', esc_attr( $_POST['extra_content'] ) );
		
		if( isset( $_POST['icon_style'] ) )
		update_post_meta( $post_id, 'icon_style', esc_attr( $_POST['icon_style'] ) );
		
		if( isset( $_POST['bg_style'] ) )
		update_post_meta( $post_id, 'bg_style', esc_attr( $_POST['bg_style'] ) );
		
		if( isset( $_POST['typography'] ) )
		update_post_meta( $post_id, 'typography', esc_attr( $_POST['typography'] ) );
		
		if( isset( $_POST['button_color1'] ) )
		update_post_meta( $post_id, 'button_color1', esc_attr( $_POST['button_color1'] ) );
		
		if( isset( $_POST['button_color2'] ) )
		update_post_meta( $post_id, 'button_color2', esc_attr( $_POST['button_color2'] ) );
		
		if( isset( $_POST['arname'] ) )
		update_post_meta( $post_id, 'arname', esc_attr( $_POST['arname'] ) );
		
		if( isset( $_POST['aremail'] ) )
		update_post_meta( $post_id, 'aremail', esc_attr( $_POST['aremail'] ) );
		
		if( isset( $_POST['arform'] ) )
		update_post_meta( $post_id, 'arform', esc_attr( $_POST['arform'] ) );
		
		if( isset( $_POST['arhidden'] ) )
		update_post_meta( $post_id, 'arhidden', esc_attr( $_POST['arhidden'] ) );
		
		if( isset( $_POST['autoresponderCode'] ) )
		update_post_meta( $post_id, 'autoresponderCode', esc_attr( $_POST['autoresponderCode'] ) );
		
		if( isset( $_POST['thankyou'] ) )
		update_post_meta( $post_id, 'thankyou', esc_attr( $_POST['thankyou'] ) );
		
		if( isset( $_POST['logoImage'] ) )
		update_post_meta( $post_id, 'logoImage', esc_attr( $_POST['logoImage'] ) );
	
}


	
	
		function add_new_affiliate_lead($name, $email, $transaction, $postID) {
			global $wpdb;
	 		$table_db_name = $wpdb->prefix . "va_newleads";
	 		$wpdb->insert( $table_db_name, 
	        array( 
		     'name' => $name,
		     'email' => $email,
		     'transaction' => $transaction,
		     'postID' => $postID
		      )
			);
		}
	
?>